Skip to main content
GET
Journeys claimed against a work order.

Headers

Range
string

Limiting and Pagination

Range-Unit
string
default:items

Limiting and Pagination

Prefer
enum<string>

Preference

Available options:
count=none

Query Parameters

id
string
work_order_id
string
worker_id
string
worker_name
string
origin_description
string
destination_description
string
distance_km
string
travel_minutes
string
departed_at
string
arrived_at
string
travel_cost
string
travel_cost_currency_id
string
currency_code
string
is_billable
string
row_version
string
select
string

Filtering Columns

order
string

Ordering

offset
string

Limiting and Pagination

limit
string

Limiting and Pagination

Response

OK

arrived_at
string<timestamp with time zone>
currency_code
string<character varying>
Maximum string length: 3
departed_at
string<timestamp with time zone>
destination_description
string<character varying>
Maximum string length: 250
distance_km
number<numeric>
id
string<uuid>

Note: This is a Primary Key.

is_billable
boolean<boolean>
origin_description
string<character varying>
Maximum string length: 250
row_version
integer<int64>
travel_cost
number<numeric>
travel_cost_currency_id
string<uuid>
travel_minutes
integer<int32>
work_order_id
string<uuid>

Note: This is a Foreign Key to inspection_failures.found_in_work_order_id.

worker_id
string<uuid>

Note: This is a Foreign Key to technician_workload.worker_id.

worker_name
string<character varying>
Maximum string length: 200